Bug 1166502 - [GSS] (6.4.0) Filter Apache CXF libraries in WS deployments
Summary: [GSS] (6.4.0) Filter Apache CXF libraries in WS deployments
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: DR11
: EAP 6.4.0
Assignee: Kyle Lape
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-21 05:55 UTC by Kyle Lape
Modified: 2019-08-19 12:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Enhancement


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker WFLY-451 0 Major Closed Filter Apache CXF 2018-03-24 14:33:34 UTC

Description Kyle Lape 2014-11-21 05:55:41 UTC
From Jira WFLY-451:

Detect Apache CXF libraries in user deployment and if the webservices subsystem is actually being triggered for the deployment, either log a major warning or make the deployment fail. This would basically prevent later issues with users trying to deploy not properly packaged applications (e.g. the same war embedding CXF they were using on Tomcat) and making them aware of what they need to do.

Upstream fails the deployment, but the backport will only print a warning for the first CXF jar found.

Comment 2 Rostislav Svoboda 2014-11-21 09:42:59 UTC
deployment failure would be better, hope warning in the log will be noticed.

Comment 3 Rostislav Svoboda 2014-11-26 09:06:55 UTC
Verified on EAP 6.4.0 DR11

10:02:46,474 WARN  [org.jboss.as.webservices] (MSC service thread 1-6) JBAS015599: Apache CXF library(ies) (cxf-rt-bindings-xml-2.7.13.redhat-4.jar) detected in ws endpoint deployment; either provide a proper deployment replacing embedded libraries with container module dependencies or disable the webservices subsystem for the current deployment adding a proper jboss-deployment-structure.xml descriptor to it. The former approach is recommended, as the latter approach causes most of the webservices Java EE and any JBossWS specific functionality to be disabled.

Deployments continues.

Comment 4 Yonah Reuben 2018-03-24 14:34:44 UTC
I'm also stuck on the same, did you get any solution?


Note You need to log in before you can comment on or make changes to this bug.